## org.hibernate.envers.entities.mapper.relation.query
Class OneAuditEntityQueryGenerator

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.query.OneAuditEntityQueryGenerator

All Implemented Interfaces:
  RelationQueryGenerator

    public final class OneAuditEntityQueryGenerator

extends Object
implements RelationQueryGenerator

Selects data from an audit entity.

Author:
  Adam Warski (adam at warski dot org)

Constructor Summary
`OneAuditEntityQueryGenerator(GlobalConfiguration globalCfg, AuditEntitiesConfiguration verEntCfg, AuditStrategy auditStrategy, MiddleIdData referencingIdData, String referencedEntityName, MiddleIdData referencedIdData)`

Method Summary
`Query` `getQuery(AuditReaderImplementor versionsReader, Object primaryKey, Number revision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneAuditEntityQueryGenerator

    public OneAuditEntityQueryGenerator(GlobalConfiguration globalCfg,
                                        AuditEntitiesConfiguration verEntCfg,
                                        AuditStrategy auditStrategy,
                                        MiddleIdData referencingIdData,
                                        String referencedEntityName,
                                        MiddleIdData referencedIdData)

Method Detail

### getQuery

    public Query getQuery(AuditReaderImplementor versionsReader,
                          Object primaryKey,
                          Number revision)

  Specified by:
    `getQuery` in interface `RelationQueryGenerator`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.